Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network166.8.0.0/13
Usable hosts524,286
Subnet mask255.248.0.0
Addresses524,288
Network address
166.8.0.0
Broadcast address
166.15.255.255
First usable
166.8.0.1
Last usable
166.15.255.254
Usable hosts
524,286 (524,288 less the network and broadcast addresses)
Subnet mask
255.248.0.0
Wildcard mask
0.7.255.255 (Cisco ACLs, OSPF)
Prefix length
/13
Type
Public public
Old class
B (default /16)
As numbers
Hex A6080000 · Integer 2785542144 to 2786066431
Reverse DNS zones
8.166.in-addr.arpa
9.166.in-addr.arpa
10.166.in-addr.arpa
11.166.in-addr.arpa
12.166.in-addr.arpa
13.166.in-addr.arpa
14.166.in-addr.arpa
15.166.in-addr.arpa
/13 is not on a 8-bit boundary, so it takes 8 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10100110.00001000.00000000.00000000166.8.0.0
Subnet mask11111111.11111000.00000000.00000000255.248.0.0
Network10100110.00001000.00000000.00000000166.8.0.0
Broadcast10100110.00001111.11111111.11111111166.15.255.255
Split into smaller subnets/23

166.8.0.0/13 makes 1,024 subnets of /23; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1166.8.0.0/23166.8.0.1 to 166.8.1.254166.8.1.255510
2166.8.2.0/23166.8.2.1 to 166.8.3.254166.8.3.255510
3166.8.4.0/23166.8.4.1 to 166.8.5.254166.8.5.255510
4166.8.6.0/23166.8.6.1 to 166.8.7.254166.8.7.255510
5166.8.8.0/23166.8.8.1 to 166.8.9.254166.8.9.255510
6166.8.10.0/23166.8.10.1 to 166.8.11.254166.8.11.255510
7166.8.12.0/23166.8.12.1 to 166.8.13.254166.8.13.255510
8166.8.14.0/23166.8.14.1 to 166.8.15.254166.8.15.255510
9166.8.16.0/23166.8.16.1 to 166.8.17.254166.8.17.255510
10166.8.18.0/23166.8.18.1 to 166.8.19.254166.8.19.255510
11166.8.20.0/23166.8.20.1 to 166.8.21.254166.8.21.255510
12166.8.22.0/23166.8.22.1 to 166.8.23.254166.8.23.255510
13166.8.24.0/23166.8.24.1 to 166.8.25.254166.8.25.255510
14166.8.26.0/23166.8.26.1 to 166.8.27.254166.8.27.255510
15166.8.28.0/23166.8.28.1 to 166.8.29.254166.8.29.255510
16166.8.30.0/23166.8.30.1 to 166.8.31.254166.8.31.255510
17166.8.32.0/23166.8.32.1 to 166.8.33.254166.8.33.255510
18166.8.34.0/23166.8.34.1 to 166.8.35.254166.8.35.255510
19166.8.36.0/23166.8.36.1 to 166.8.37.254166.8.37.255510
20166.8.38.0/23166.8.38.1 to 166.8.39.254166.8.39.255510
21166.8.40.0/23166.8.40.1 to 166.8.41.254166.8.41.255510
22166.8.42.0/23166.8.42.1 to 166.8.43.254166.8.43.255510
23166.8.44.0/23166.8.44.1 to 166.8.45.254166.8.45.255510
24166.8.46.0/23166.8.46.1 to 166.8.47.254166.8.47.255510
25166.8.48.0/23166.8.48.1 to 166.8.49.254166.8.49.255510
26166.8.50.0/23166.8.50.1 to 166.8.51.254166.8.51.255510
27166.8.52.0/23166.8.52.1 to 166.8.53.254166.8.53.255510
28166.8.54.0/23166.8.54.1 to 166.8.55.254166.8.55.255510
29166.8.56.0/23166.8.56.1 to 166.8.57.254166.8.57.255510
30166.8.58.0/23166.8.58.1 to 166.8.59.254166.8.59.255510
31166.8.60.0/23166.8.60.1 to 166.8.61.254166.8.61.255510
32166.8.62.0/23166.8.62.1 to 166.8.63.254166.8.63.255510
33166.8.64.0/23166.8.64.1 to 166.8.65.254166.8.65.255510
34166.8.66.0/23166.8.66.1 to 166.8.67.254166.8.67.255510
35166.8.68.0/23166.8.68.1 to 166.8.69.254166.8.69.255510
36166.8.70.0/23166.8.70.1 to 166.8.71.254166.8.71.255510
37166.8.72.0/23166.8.72.1 to 166.8.73.254166.8.73.255510
38166.8.74.0/23166.8.74.1 to 166.8.75.254166.8.75.255510
39166.8.76.0/23166.8.76.1 to 166.8.77.254166.8.77.255510
40166.8.78.0/23166.8.78.1 to 166.8.79.254166.8.79.255510
41166.8.80.0/23166.8.80.1 to 166.8.81.254166.8.81.255510
42166.8.82.0/23166.8.82.1 to 166.8.83.254166.8.83.255510
43166.8.84.0/23166.8.84.1 to 166.8.85.254166.8.85.255510
44166.8.86.0/23166.8.86.1 to 166.8.87.254166.8.87.255510
45166.8.88.0/23166.8.88.1 to 166.8.89.254166.8.89.255510
46166.8.90.0/23166.8.90.1 to 166.8.91.254166.8.91.255510
47166.8.92.0/23166.8.92.1 to 166.8.93.254166.8.93.255510
48166.8.94.0/23166.8.94.1 to 166.8.95.254166.8.95.255510
49166.8.96.0/23166.8.96.1 to 166.8.97.254166.8.97.255510
50166.8.98.0/23166.8.98.1 to 166.8.99.254166.8.99.255510
51166.8.100.0/23166.8.100.1 to 166.8.101.254166.8.101.255510
52166.8.102.0/23166.8.102.1 to 166.8.103.254166.8.103.255510
53166.8.104.0/23166.8.104.1 to 166.8.105.254166.8.105.255510
54166.8.106.0/23166.8.106.1 to 166.8.107.254166.8.107.255510
55166.8.108.0/23166.8.108.1 to 166.8.109.254166.8.109.255510
56166.8.110.0/23166.8.110.1 to 166.8.111.254166.8.111.255510
57166.8.112.0/23166.8.112.1 to 166.8.113.254166.8.113.255510
58166.8.114.0/23166.8.114.1 to 166.8.115.254166.8.115.255510
59166.8.116.0/23166.8.116.1 to 166.8.117.254166.8.117.255510
60166.8.118.0/23166.8.118.1 to 166.8.119.254166.8.119.255510
61166.8.120.0/23166.8.120.1 to 166.8.121.254166.8.121.255510
62166.8.122.0/23166.8.122.1 to 166.8.123.254166.8.123.255510
63166.8.124.0/23166.8.124.1 to 166.8.125.254166.8.125.255510
64166.8.126.0/23166.8.126.1 to 166.8.127.254166.8.127.255510
65166.8.128.0/23166.8.128.1 to 166.8.129.254166.8.129.255510
66166.8.130.0/23166.8.130.1 to 166.8.131.254166.8.131.255510
67166.8.132.0/23166.8.132.1 to 166.8.133.254166.8.133.255510
68166.8.134.0/23166.8.134.1 to 166.8.135.254166.8.135.255510
69166.8.136.0/23166.8.136.1 to 166.8.137.254166.8.137.255510
70166.8.138.0/23166.8.138.1 to 166.8.139.254166.8.139.255510
71166.8.140.0/23166.8.140.1 to 166.8.141.254166.8.141.255510
72166.8.142.0/23166.8.142.1 to 166.8.143.254166.8.143.255510
73166.8.144.0/23166.8.144.1 to 166.8.145.254166.8.145.255510
74166.8.146.0/23166.8.146.1 to 166.8.147.254166.8.147.255510
75166.8.148.0/23166.8.148.1 to 166.8.149.254166.8.149.255510
76166.8.150.0/23166.8.150.1 to 166.8.151.254166.8.151.255510
77166.8.152.0/23166.8.152.1 to 166.8.153.254166.8.153.255510
78166.8.154.0/23166.8.154.1 to 166.8.155.254166.8.155.255510
79166.8.156.0/23166.8.156.1 to 166.8.157.254166.8.157.255510
80166.8.158.0/23166.8.158.1 to 166.8.159.254166.8.159.255510
81166.8.160.0/23166.8.160.1 to 166.8.161.254166.8.161.255510
82166.8.162.0/23166.8.162.1 to 166.8.163.254166.8.163.255510
83166.8.164.0/23166.8.164.1 to 166.8.165.254166.8.165.255510
84166.8.166.0/23166.8.166.1 to 166.8.167.254166.8.167.255510
85166.8.168.0/23166.8.168.1 to 166.8.169.254166.8.169.255510
86166.8.170.0/23166.8.170.1 to 166.8.171.254166.8.171.255510
87166.8.172.0/23166.8.172.1 to 166.8.173.254166.8.173.255510
88166.8.174.0/23166.8.174.1 to 166.8.175.254166.8.175.255510
89166.8.176.0/23166.8.176.1 to 166.8.177.254166.8.177.255510
90166.8.178.0/23166.8.178.1 to 166.8.179.254166.8.179.255510
91166.8.180.0/23166.8.180.1 to 166.8.181.254166.8.181.255510
92166.8.182.0/23166.8.182.1 to 166.8.183.254166.8.183.255510
93166.8.184.0/23166.8.184.1 to 166.8.185.254166.8.185.255510
94166.8.186.0/23166.8.186.1 to 166.8.187.254166.8.187.255510
95166.8.188.0/23166.8.188.1 to 166.8.189.254166.8.189.255510
96166.8.190.0/23166.8.190.1 to 166.8.191.254166.8.191.255510
97166.8.192.0/23166.8.192.1 to 166.8.193.254166.8.193.255510
98166.8.194.0/23166.8.194.1 to 166.8.195.254166.8.195.255510
99166.8.196.0/23166.8.196.1 to 166.8.197.254166.8.197.255510
100166.8.198.0/23166.8.198.1 to 166.8.199.254166.8.199.255510
101166.8.200.0/23166.8.200.1 to 166.8.201.254166.8.201.255510
102166.8.202.0/23166.8.202.1 to 166.8.203.254166.8.203.255510
103166.8.204.0/23166.8.204.1 to 166.8.205.254166.8.205.255510
104166.8.206.0/23166.8.206.1 to 166.8.207.254166.8.207.255510
105166.8.208.0/23166.8.208.1 to 166.8.209.254166.8.209.255510
106166.8.210.0/23166.8.210.1 to 166.8.211.254166.8.211.255510
107166.8.212.0/23166.8.212.1 to 166.8.213.254166.8.213.255510
108166.8.214.0/23166.8.214.1 to 166.8.215.254166.8.215.255510
109166.8.216.0/23166.8.216.1 to 166.8.217.254166.8.217.255510
110166.8.218.0/23166.8.218.1 to 166.8.219.254166.8.219.255510
111166.8.220.0/23166.8.220.1 to 166.8.221.254166.8.221.255510
112166.8.222.0/23166.8.222.1 to 166.8.223.254166.8.223.255510
113166.8.224.0/23166.8.224.1 to 166.8.225.254166.8.225.255510
114166.8.226.0/23166.8.226.1 to 166.8.227.254166.8.227.255510
115166.8.228.0/23166.8.228.1 to 166.8.229.254166.8.229.255510
116166.8.230.0/23166.8.230.1 to 166.8.231.254166.8.231.255510
117166.8.232.0/23166.8.232.1 to 166.8.233.254166.8.233.255510
118166.8.234.0/23166.8.234.1 to 166.8.235.254166.8.235.255510
119166.8.236.0/23166.8.236.1 to 166.8.237.254166.8.237.255510
120166.8.238.0/23166.8.238.1 to 166.8.239.254166.8.239.255510
121166.8.240.0/23166.8.240.1 to 166.8.241.254166.8.241.255510
122166.8.242.0/23166.8.242.1 to 166.8.243.254166.8.243.255510
123166.8.244.0/23166.8.244.1 to 166.8.245.254166.8.245.255510
124166.8.246.0/23166.8.246.1 to 166.8.247.254166.8.247.255510
125166.8.248.0/23166.8.248.1 to 166.8.249.254166.8.249.255510
126166.8.250.0/23166.8.250.1 to 166.8.251.254166.8.251.255510
127166.8.252.0/23166.8.252.1 to 166.8.253.254166.8.253.255510
128166.8.254.0/23166.8.254.1 to 166.8.255.254166.8.255.255510
129166.9.0.0/23166.9.0.1 to 166.9.1.254166.9.1.255510
130166.9.2.0/23166.9.2.1 to 166.9.3.254166.9.3.255510
131166.9.4.0/23166.9.4.1 to 166.9.5.254166.9.5.255510
132166.9.6.0/23166.9.6.1 to 166.9.7.254166.9.7.255510
133166.9.8.0/23166.9.8.1 to 166.9.9.254166.9.9.255510
134166.9.10.0/23166.9.10.1 to 166.9.11.254166.9.11.255510
135166.9.12.0/23166.9.12.1 to 166.9.13.254166.9.13.255510
136166.9.14.0/23166.9.14.1 to 166.9.15.254166.9.15.255510
137166.9.16.0/23166.9.16.1 to 166.9.17.254166.9.17.255510
138166.9.18.0/23166.9.18.1 to 166.9.19.254166.9.19.255510
139166.9.20.0/23166.9.20.1 to 166.9.21.254166.9.21.255510
140166.9.22.0/23166.9.22.1 to 166.9.23.254166.9.23.255510
141166.9.24.0/23166.9.24.1 to 166.9.25.254166.9.25.255510
142166.9.26.0/23166.9.26.1 to 166.9.27.254166.9.27.255510
143166.9.28.0/23166.9.28.1 to 166.9.29.254166.9.29.255510
144166.9.30.0/23166.9.30.1 to 166.9.31.254166.9.31.255510
145166.9.32.0/23166.9.32.1 to 166.9.33.254166.9.33.255510
146166.9.34.0/23166.9.34.1 to 166.9.35.254166.9.35.255510
147166.9.36.0/23166.9.36.1 to 166.9.37.254166.9.37.255510
148166.9.38.0/23166.9.38.1 to 166.9.39.254166.9.39.255510
149166.9.40.0/23166.9.40.1 to 166.9.41.254166.9.41.255510
150166.9.42.0/23166.9.42.1 to 166.9.43.254166.9.43.255510
151166.9.44.0/23166.9.44.1 to 166.9.45.254166.9.45.255510
152166.9.46.0/23166.9.46.1 to 166.9.47.254166.9.47.255510
153166.9.48.0/23166.9.48.1 to 166.9.49.254166.9.49.255510
154166.9.50.0/23166.9.50.1 to 166.9.51.254166.9.51.255510
155166.9.52.0/23166.9.52.1 to 166.9.53.254166.9.53.255510
156166.9.54.0/23166.9.54.1 to 166.9.55.254166.9.55.255510
157166.9.56.0/23166.9.56.1 to 166.9.57.254166.9.57.255510
158166.9.58.0/23166.9.58.1 to 166.9.59.254166.9.59.255510
159166.9.60.0/23166.9.60.1 to 166.9.61.254166.9.61.255510
160166.9.62.0/23166.9.62.1 to 166.9.63.254166.9.63.255510
161166.9.64.0/23166.9.64.1 to 166.9.65.254166.9.65.255510
162166.9.66.0/23166.9.66.1 to 166.9.67.254166.9.67.255510
163166.9.68.0/23166.9.68.1 to 166.9.69.254166.9.69.255510
164166.9.70.0/23166.9.70.1 to 166.9.71.254166.9.71.255510
165166.9.72.0/23166.9.72.1 to 166.9.73.254166.9.73.255510
166166.9.74.0/23166.9.74.1 to 166.9.75.254166.9.75.255510
167166.9.76.0/23166.9.76.1 to 166.9.77.254166.9.77.255510
168166.9.78.0/23166.9.78.1 to 166.9.79.254166.9.79.255510
169166.9.80.0/23166.9.80.1 to 166.9.81.254166.9.81.255510
170166.9.82.0/23166.9.82.1 to 166.9.83.254166.9.83.255510
171166.9.84.0/23166.9.84.1 to 166.9.85.254166.9.85.255510
172166.9.86.0/23166.9.86.1 to 166.9.87.254166.9.87.255510
173166.9.88.0/23166.9.88.1 to 166.9.89.254166.9.89.255510
174166.9.90.0/23166.9.90.1 to 166.9.91.254166.9.91.255510
175166.9.92.0/23166.9.92.1 to 166.9.93.254166.9.93.255510
176166.9.94.0/23166.9.94.1 to 166.9.95.254166.9.95.255510
177166.9.96.0/23166.9.96.1 to 166.9.97.254166.9.97.255510
178166.9.98.0/23166.9.98.1 to 166.9.99.254166.9.99.255510
179166.9.100.0/23166.9.100.1 to 166.9.101.254166.9.101.255510
180166.9.102.0/23166.9.102.1 to 166.9.103.254166.9.103.255510
181166.9.104.0/23166.9.104.1 to 166.9.105.254166.9.105.255510
182166.9.106.0/23166.9.106.1 to 166.9.107.254166.9.107.255510
183166.9.108.0/23166.9.108.1 to 166.9.109.254166.9.109.255510
184166.9.110.0/23166.9.110.1 to 166.9.111.254166.9.111.255510
185166.9.112.0/23166.9.112.1 to 166.9.113.254166.9.113.255510
186166.9.114.0/23166.9.114.1 to 166.9.115.254166.9.115.255510
187166.9.116.0/23166.9.116.1 to 166.9.117.254166.9.117.255510
188166.9.118.0/23166.9.118.1 to 166.9.119.254166.9.119.255510
189166.9.120.0/23166.9.120.1 to 166.9.121.254166.9.121.255510
190166.9.122.0/23166.9.122.1 to 166.9.123.254166.9.123.255510
191166.9.124.0/23166.9.124.1 to 166.9.125.254166.9.125.255510
192166.9.126.0/23166.9.126.1 to 166.9.127.254166.9.127.255510
193166.9.128.0/23166.9.128.1 to 166.9.129.254166.9.129.255510
194166.9.130.0/23166.9.130.1 to 166.9.131.254166.9.131.255510
195166.9.132.0/23166.9.132.1 to 166.9.133.254166.9.133.255510
196166.9.134.0/23166.9.134.1 to 166.9.135.254166.9.135.255510
197166.9.136.0/23166.9.136.1 to 166.9.137.254166.9.137.255510
198166.9.138.0/23166.9.138.1 to 166.9.139.254166.9.139.255510
199166.9.140.0/23166.9.140.1 to 166.9.141.254166.9.141.255510
200166.9.142.0/23166.9.142.1 to 166.9.143.254166.9.143.255510
201166.9.144.0/23166.9.144.1 to 166.9.145.254166.9.145.255510
202166.9.146.0/23166.9.146.1 to 166.9.147.254166.9.147.255510
203166.9.148.0/23166.9.148.1 to 166.9.149.254166.9.149.255510
204166.9.150.0/23166.9.150.1 to 166.9.151.254166.9.151.255510
205166.9.152.0/23166.9.152.1 to 166.9.153.254166.9.153.255510
206166.9.154.0/23166.9.154.1 to 166.9.155.254166.9.155.255510
207166.9.156.0/23166.9.156.1 to 166.9.157.254166.9.157.255510
208166.9.158.0/23166.9.158.1 to 166.9.159.254166.9.159.255510
209166.9.160.0/23166.9.160.1 to 166.9.161.254166.9.161.255510
210166.9.162.0/23166.9.162.1 to 166.9.163.254166.9.163.255510
211166.9.164.0/23166.9.164.1 to 166.9.165.254166.9.165.255510
212166.9.166.0/23166.9.166.1 to 166.9.167.254166.9.167.255510
213166.9.168.0/23166.9.168.1 to 166.9.169.254166.9.169.255510
214166.9.170.0/23166.9.170.1 to 166.9.171.254166.9.171.255510
215166.9.172.0/23166.9.172.1 to 166.9.173.254166.9.173.255510
216166.9.174.0/23166.9.174.1 to 166.9.175.254166.9.175.255510
217166.9.176.0/23166.9.176.1 to 166.9.177.254166.9.177.255510
218166.9.178.0/23166.9.178.1 to 166.9.179.254166.9.179.255510
219166.9.180.0/23166.9.180.1 to 166.9.181.254166.9.181.255510
220166.9.182.0/23166.9.182.1 to 166.9.183.254166.9.183.255510
221166.9.184.0/23166.9.184.1 to 166.9.185.254166.9.185.255510
222166.9.186.0/23166.9.186.1 to 166.9.187.254166.9.187.255510
223166.9.188.0/23166.9.188.1 to 166.9.189.254166.9.189.255510
224166.9.190.0/23166.9.190.1 to 166.9.191.254166.9.191.255510
225166.9.192.0/23166.9.192.1 to 166.9.193.254166.9.193.255510
226166.9.194.0/23166.9.194.1 to 166.9.195.254166.9.195.255510
227166.9.196.0/23166.9.196.1 to 166.9.197.254166.9.197.255510
228166.9.198.0/23166.9.198.1 to 166.9.199.254166.9.199.255510
229166.9.200.0/23166.9.200.1 to 166.9.201.254166.9.201.255510
230166.9.202.0/23166.9.202.1 to 166.9.203.254166.9.203.255510
231166.9.204.0/23166.9.204.1 to 166.9.205.254166.9.205.255510
232166.9.206.0/23166.9.206.1 to 166.9.207.254166.9.207.255510
233166.9.208.0/23166.9.208.1 to 166.9.209.254166.9.209.255510
234166.9.210.0/23166.9.210.1 to 166.9.211.254166.9.211.255510
235166.9.212.0/23166.9.212.1 to 166.9.213.254166.9.213.255510
236166.9.214.0/23166.9.214.1 to 166.9.215.254166.9.215.255510
237166.9.216.0/23166.9.216.1 to 166.9.217.254166.9.217.255510
238166.9.218.0/23166.9.218.1 to 166.9.219.254166.9.219.255510
239166.9.220.0/23166.9.220.1 to 166.9.221.254166.9.221.255510
240166.9.222.0/23166.9.222.1 to 166.9.223.254166.9.223.255510
241166.9.224.0/23166.9.224.1 to 166.9.225.254166.9.225.255510
242166.9.226.0/23166.9.226.1 to 166.9.227.254166.9.227.255510
243166.9.228.0/23166.9.228.1 to 166.9.229.254166.9.229.255510
244166.9.230.0/23166.9.230.1 to 166.9.231.254166.9.231.255510
245166.9.232.0/23166.9.232.1 to 166.9.233.254166.9.233.255510
246166.9.234.0/23166.9.234.1 to 166.9.235.254166.9.235.255510
247166.9.236.0/23166.9.236.1 to 166.9.237.254166.9.237.255510
248166.9.238.0/23166.9.238.1 to 166.9.239.254166.9.239.255510
249166.9.240.0/23166.9.240.1 to 166.9.241.254166.9.241.255510
250166.9.242.0/23166.9.242.1 to 166.9.243.254166.9.243.255510
251166.9.244.0/23166.9.244.1 to 166.9.245.254166.9.245.255510
252166.9.246.0/23166.9.246.1 to 166.9.247.254166.9.247.255510
253166.9.248.0/23166.9.248.1 to 166.9.249.254166.9.249.255510
254166.9.250.0/23166.9.250.1 to 166.9.251.254166.9.251.255510
255166.9.252.0/23166.9.252.1 to 166.9.253.254166.9.253.255510
256166.9.254.0/23166.9.254.1 to 166.9.255.254166.9.255.255510

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses